#!/bin/bash
versionOS=$(cat /etc/os-release | grep ^NAME | grep Ubuntu  | cut -d\" -f2)
releaseOS=$(cat /etc/os-release | grep ^VERSION_ID |  cut -d\" -f2 | cut -d"." -f1)
#Also we can use  ID_LIKE="ubuntu debian" and ubuntu_codename
#VERSION_CODENAME=vanessa
#UBUNTU_CODENAME=jammy
dpkg -l | grep libfuse2 > /dev/null 2>&1
if [ $? -eq 0 ]; then fuse=1; else fuse=0; fi
if [ "$versionOS" = "Ubuntu" -a $releaseOS -ge 22 -a !$fuse ]; then
        /usr/bin/eXeLearning-2.8.1.glibc2.28-x86_64.AppImage --appimage-extract-and-run $1
  else
	/usr/bin/eXeLearning-2.8.1.glibc2.28-x86_64.AppImage $1
  fi
